* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Kanit", sans-serif;
}

body {
  color: #fff;
  background: #440115;
  word-break: break-word;
  overflow-x: hidden !important;
}
.bg-body2 {
  background: #630024;
}
a {
  text-decoration: none;
}

strong {
  color: #1bbde8;
}
em {
  color: #ff7f50;
}
p a {
  color: #ffe000;
}
p a:hover {
  color: #dc143c;
}

p {
  color: #fff;
}

.txt-int {
  text-indent: 1em;
}

.relative {
  position: relative;
}

.absolute {
  position: absolute;
}
/* Articles */
.news-articles-img {
  overflow: hidden;
}
.view_date > span,
.tag__info > a span {
  color: #fff;
}
.names-tags-not a:not(:last-child)::after {
  content: ", ";
  margin: 0 5px;
}
/* table */
#main-toc strong {
  text-align: center;
  font-weight: 700;
  margin: 0;
  padding: 0;
  visibility: hidden;
  position: relative;
  justify-content: center;
}
#main-toc strong:after {
  visibility: visible;
  display: flex;
  justify-content: start;
  content: "สารบัญ";
  font-size: 2em;
  color: #fff126;
}
.toc-title {
  text-align: center;
  font-weight: 700;
  margin: 0;
  padding: 0;
  visibility: hidden;
  position: relative;
  justify-content: center;
}

.toc-title:after {
  visibility: visible;
  display: flex;
  justify-content: center;
  content: "สารบัญ";
  font-size: 2em;
  color: #fff126;
}

.widget-toc {
  display: table;
  background-image: linear-gradient(rgb(0, 0, 0, 0.3), rgb(0, 0, 0, 0.3));
  border-radius: 5px;
  border: 2px solid transparent;
  padding-right: 1rem;
  margin: 2em 0 !important;
  font-size: 95%;
  width: 50%;
}
@media (max-width: 991px) {
  .widget-toc {
    width: 100%;
  }
}
.widget-toc a {
  color: #f1f1f1;
  text-decoration: underline !important;
  font-size: 16px;
}
.widget-toc a:hover {
  text-decoration: none;
  opacity: 0.6;
  transition: 0.3s;
}
.widget-toc ol {
  padding-right: 0px;
  counter-reset: item;
}
.widget-toc ol li {
  display: block;
  position: relative;
}
.widget-toc ol li:before {
  content: counters(item, ".");
  counter-increment: item;
  position: absolute;
  margin-right: 100%;
  right: 0.5rem;
  inline-size: max-content;
}
/* table */
/* content */
.bg-navbar {
  background: #440115;
}
.bg-marquee {
  background: #d2002d;
}
a:hover .social_icon,
.nav-item a.nav-link:hover {
  transform: translateY(-1px);
  transition: cubic-bezier(0.36, 0.66, 0.04, 1);
}
.nav-item a.nav-link {
  color: #fff !important;
}
.nav-item a.nav-link.activate {
  color: #ff829d !important;
  transform: translateY(-1px);
  transition: cubic-bezier(0.36, 0.66, 0.04, 1);
}

.bg-footer {
  background: #d2002d;
}
/* login */
@media (min-width: 768px) {
  .d-form-login {
    position: fixed !important;
    width: 250px !important;
  }
}

.d-form-login {
  position: relative;
  width: 100%;
  z-index: 992;
}

.menu__sticky {
  top: 0;
  left: 0;
}

.triangle-border {
  -webkit-clip-path: polygon(0% 0%, 100% 0%, 80% 100%, 0% 100%);
  clip-path: polygon(0% 0%, 100% 0%, 80% 100%, 0% 100%);
}
.shape-inner {
  background: #630024;
  margin: auto;
}
.bg_search {
  background-color: unset !important;
  border: unset !important;
}
.carousel-indicators {
  bottom: -40px;
}
.fill-red {
  fill: #d2002d;
}
